#include <p18cxxx.h>
#define  USE_AND_MASKS
#include <pconfig.h>	// choix des fonctions en fonction du type de pic
#include <delays.h>
#include <stdio.h>
#include <timers.h>		// Timers
#include <adc.h>		// CAN
#include <pwm.h>		// PWM
#include "HardwareProfile.h"					
#pragma config OSC = INTIO67	// horloge interne
//#pragma config OSC = HS	// horloge externe
#pragma config WDT=OFF		// whatch dog
#pragma config LVP=OFF
/***********************************************************************************************/
//  D.Nardi variateur de vitesse
/***********************************************************************************************/
void Setup(void)
{
	TRISC=0;				// Port C en Sortie
	OSCCON=0x70;			// 0 111 00 0 00pas de prdiviseur => 8MHz horloge interne
	ADCON1=0x0E;			// AN0 = A toutes les autres entres en analogique D
	
// Init du convertisseur AD 
	OpenADC( 	ADC_FOSC_32      &
				ADC_RIGHT_JUST   &		// rsultat de conversion sur 2oct justifi  droite
				ADC_12_TAD,
				ADC_CH0          &		// AN0
				ADC_REF_VDD_VSS  &
				ADC_INT_OFF, ADC_1ANA );// AN0=A AN1->AN12=D	
	
	OpenTimer2(TIMER_INT_OFF & T2_PS_1_1 & T2_POST_1_2); 
	WriteTimer2(255);
	OpenPWM1(255);						// Choix de la frquence MLI 8KHz
									
	SetDCPWM1(0);
}							
/*******************************************************************************************/
void main(void)
{
	unsigned int result;
	Setup();				
	for(;;)
	{
		/***********************************************************************************/
		// lecture du convertisseur (potentiomtre)
		ConvertADC();        			// Start conversion
		while( BusyADC() );   			// Wait for completion
		result = ReadADC();   			// Read result
		SetDCPWM1(result);				// Sortie MLI
	}
}
